// ease-Methoden
function easeMethods(element,startValue,endValue,duration,easing) {
  // Animations-Element
  const animelement = document.getElementById(element);
  // Init Positions-Animation
  var anim = requestAnimationFrame((timestamp) => {
    var stamp = timestamp || new Date().getTime();
    var start = stamp;
    easeAnim(start, stamp, duration, endValue, startValue);
  })
  // Array ease-Functions
  const easings = {
    linear(t) { return t; },
    easeInQuad(t) { return t * t; },
    easeOutQuad(t) { return t * (2 - t); },
    easeInOutQuad(t) { return t < 0.5 ? 2 * t * t : -1 + (4 - 2 * t) * t; },
    easeInCubic(t) { return t * t * t; },
    easeOutCubic(t) { return (--t) * t * t + 1; },
    easeInOutCubic(t) { return t < 0.5 ? 4 * t * t * t : (t - 1) * (2 * t - 2) * (2 * t - 2) + 1; },
    easeInQuart(t) { return t * t * t * t; },
    easeOutQuart(t) { return 1 - (--t) * t * t * t; },
    easeInOutQuart(t) { return t < 0.5 ? 8 * t * t * t * t : 1 - 8 * (--t) * t * t * t; },
    easeInQuint(t) { return t * t * t * t * t; },
    easeOutQuint(t) { return 1 + (--t) * t * t * t * t; },
    easeInOutQuint(t) { return t < 0.5 ? 16 * t * t * t * t * t : 1 + 16 * (--t) * t * t * t * t; }
  };
  // Positions-Animation
  var easeAnim = (startTime, currentTime, duration, endValue, startValue) => {
    var runtime = currentTime - startTime;
    let progress = runtime / duration;
    progress = Math.min(progress, 1);
    // Aufruf der ease-Funktion;
    var ease = easings[easing](progress);
    // Positions-Animation
    easeValue = parseFloat(startValue + (endValue * ease));
    animelement.style.left = easeValue + 'px';
    if (runtime < duration) {
      requestAnimationFrame((timestamp) => {
        var currentTime = timestamp || new Date().getTime();
        easeAnim(startTime, currentTime, duration, endValue, startValue);
      })
    }
  }
}
// Element am linken Rand platzieren
function reset(element) {
  var elem = document.getElementById(element);
  elem.style.left = '0px';
}